<ul class="breadcrumb">
    <li class="breadcrumb-item"><a  [routerLink]="('/')">Home</a></li>
    <li class="breadcrumb-item"><a  [routerLink]="('/myaccount')">Order</a></li>
    <li class="breadcrumb-item active">My Account</li>
</ul>
<div class="my-account">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-3">
                <div class="nav flex-column nav-pills" role="tablist" aria-orientation="vertical">
                  
                    <a _ngcontent-serverapp-c70="" active="" id="orders-nav" data-toggle="pill" href="#orders-tab" role="tab" aria-selected="true" class="nav-link active"><i _ngcontent-serverapp-c70="" class="fa fa-shopping-bag"></i>Orders</a>
                    <a class="nav-link" id="account-nav" data-toggle="pill" href="#account-tab" role="tab"><i
                            class="fa fa-user"></i>Account Details</a>
                    <a class="nav-link" (click)="logout()"><i class="fa fa-sign-out-alt"></i>Logout</a>
                </div>
            </div>
            <div class="col-md-9">
                <div class="tab-content">
                    
                    <div class="tab-pane fade active show" id="orders-tab" role="tabpanel" aria-labelledby="orders-nav">
                        <div  class="table-responsive">
                            <table class="table table-bordered">
                                <thead class="thead-dark">
                                    <tr>
                                        <th>No</th>
                                        <th>Promotion</th>
                                        <th>Date</th>
                                        <th>Price</th>
                                        <th>Status</th>
                                        
                                    </tr>
                                </thead>
                                <tbody *ngFor="let item of order">
                                    <tr>
                                        <td>{{item.id}}</td>
                                        <span *ngFor="let itemss of item.promos">
                                        <td>{{itemss.name}}</td>
                                        </span>
                                        <td>{{item.date}}</td>
                                        <td>{{item.total}}TND</td>
                                        <td>{{item.status}}</td>
                                       
                                    </tr>
                                    
                                 
                                 
                                </tbody>
                            </table>
                        </div>
                    </div>
                    
                   
                    <div class="tab-pane fade" id="account-tab" role="tabpanel" aria-labelledby="account-nav">
                         <form [formGroup]="userupdate"> 
                             <h4>Account Details</h4>
                            <div class="row">
                                <div class="col-md-6">
                                    <label>First Name</label>
                                    <input class="form-control" [value]="user.firstName" type="text" id="firstName" name="firstName" 
                                        placeholder="First Name">
                                </div>
                                <div class="col-md-6">
                                    <label>Last Name</label>
                                    <input class="form-control" [value]="user.lastName" type="text" 
                                        placeholder="Last Name">
                                </div>
                                <div class="col-md-6">
                                    <label>Mobile</label>
                                    <input class="form-control" [value]="user.phone" type="text" 
                                        placeholder="Mobile">
                                </div>
                                <div class="col-md-6">
                                    <label>Email</label>
                                    <input class="form-control" [value]="user.email" type="text" placeholder="Email" >
                                </div>
                                <div class="col-md-12">
                                    <label>Adresse</label>
                                    <input class="form-control" [value]="user.adresse" type="text" 
                                        placeholder="Address">
                                </div>
                                <div class="col-md-12">
                                    <button class="btn" type="submit" (click)="upadateuser()">Update Account</button>
                                    <br><br>
                                </div>
                            </div> 
                        </form> 
                        <h4>Password change</h4>
                        <form [formGroup]="changepassword" novalidate> 
                             <div class="row">
                              
                                <div class="col-md-6">
                                    <input class="form-control"  type="password"
                                        placeholder="New Password">
                                </div>
                                <div class="col-md-6">
                                    <input class="form-control"  type="password"
                                        placeholder="Confirm Password">
                                </div>
                                <div class="col-md-12">
                                    <button class="btn" type="submit" >Save Changes</button>
                                </div>
                            </div> 
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div> 